## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/ArthurSonzogni/FTXUI
Version:        5.0.0
%forgemeta

Name:           ftxui
Release:        %autorelease
Summary:        A simple cross-platform C++ library for terminal based user interfaces

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
%if 0%{?fedora}
# testing dependencies
BuildRequires:  cmake(gtest)
BuildRequires:  cmake(benchmark)
%endif

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
%if 0%{?fedora}
    -DFTXUI_BUILD_TESTS=ON \
%else
    -DFTXUI_BUILD_TESTS=OFF \
%endif

%cmake_build

%install
%cmake_install

%check
%if 0%{?fedora}
%ctest
%endif

%files
%license LICENSE
%doc README.md
%{_libdir}/libftxui-*.so.%{version}

%files devel
%{_includedir}/ftxui/
%{_libdir}/cmake/ftxui/
%{_libdir}/pkgconfig/ftxui.pc
%{_libdir}/libftxui-*.so

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 25 2023 topazus <topazus@outlook.com> - 5.0.0-3
- disable tests on epel

* Mon Dec 25 2023 topazus <topazus@outlook.com> - 5.0.0-2
- fix

* Sun Dec 24 2023 topazus <topazus@outlook.com> - 5.0.0-1
- initial import; rhbz#2255228
## END: Generated by rpmautospec
